Name:           sentinella
Version:        0.6.1
Release:        1%{?dist}
Summary:        Monitors your system activity and takes chosen action

Group:          Applications/System
License:        GPLv2+
URL:            http://sentinella.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/%{name}/0.6.x/Sentinella-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake qt4-devel kdelibs4-devel libsysactivity-devel desktop-file-utils
BuildRequires:	kdebase-workspace-devel gettext

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

Patch10:        Sentinella-fix-desktopfile.patch
Patch20:	sentinella-fix-DSO.patch

%description
Application that monitors your system activity and, when a condition is met, 
takes the action that you've chosen.
While monitoring your CPU, memory, hard drive and network usage, Sentinella 
can be programmed to take specific actions when set-points for utilization 
or time are met. It can power off, reboot or hibernate your system, 
kill an active process, throw an alarm or execute any command.

Sentinella integrates perfectly with KDE4 and will work on many *nix systems.

%prep
%setup -q -n Sentinella-%{version}
%patch10 -p0
%patch20 -p0

## to prevent spurious-executable-perm in -debuginfo
chmod -x src/Actions/Sleep.h
chmod -x src/Actions/PlayAlarm.cpp
chmod -x src/Actions/KillProcess.h
chmod -x src/Actions/ExecuteCommand.h
chmod -x src/Actions/ExecuteCommand.cpp
chmod -x src/Conditions/ProcessDies.h
chmod -x src/Actions/PlayAlarm.h
chmod -x src/Actions/KillProcess.cpp
chmod -x src/Actions/Sleep.cpp
chmod -x src/Conditions/ProcessDies.cpp

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake .. -DCMAKE_BUILD_TYPE=release
popd

make -C %{_target_platform} %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install -C %{_target_platform} DESTDIR=%{buildroot}
%find_lang Sentinella --with-kde

desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/Sentinella.desktop

find . -type f -name 'ui_*.h' -exec chmod 0644 {} ';'

%clean
rm -rf %{buildroot}

%post 
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
update-desktop-database -q &> /dev/null

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null

%files -f Sentinella.lang
%defattr(-,root,root,-)
%doc CHANGELOG COPYING
%{_kde4_bindir}/sentinella
%{_kde4_iconsdir}/hicolor/scalable/apps/*
%{_kde4_datadir}/sounds/Sentinella
%{_kde4_datadir}/applications/kde4/Sentinella.desktop

%changelog
* Thu May 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.1-1
- sentinella 0.6.1
- new sound files under free license

* Thu Apr 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.0-3
- added .desktop file
- fixed icon cache

* Thu Apr 15 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.0-2
- fixed requires

* Wed Apr 14 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.0-1
- initial Fedora release
